| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iProtoMeshState Struct Reference
[Mesh plugins]

This interface describes the API for the proto mesh object. More...

`#include <imesh/protomesh.h>`

Inheritance diagram for iProtoMeshState:

[legend]
List of all members.

## Public Member Functions
virtual float | GetFuzzFactor ()=0
| Get mesh-specific fuzz factor.
virtual void | SetFuzzFactor (float factor)=0
| Set mesh-specific fuzz factor.

## Detailed Description

This interface describes the API for the proto mesh object.

Main creators of instances implementing this interface:

- Proto mesh object plugin (crystalspace.mesh.object.protomesh)
- iMeshObjectFactory::NewInstance()

Main ways to get pointers to this interface:

- scfQueryInterface() on iMeshWrapper::GetMeshObject()

Main users of this interface:

- Protomesh Loader plugin (crystalspace.mesh.loader.protomesh)

Definition at line 126 of file protomesh.h.

## Member Function Documentation

virtual float iProtoMeshState::GetFuzzFactor | ( |  | ) | `[pure virtual]`

Get mesh-specific fuzz factor.

Remarks:
  This method is purely present for illustrational purposes.

virtual void iProtoMeshState::SetFuzzFactor | ( | float | factor | ) | `[pure virtual]`

Set mesh-specific fuzz factor.

Remarks:
  This method is purely present for illustrational purposes and has, in fact, no effect on the actual mesh.

The documentation for this struct was generated from the following file:

- imesh/protomesh.h